aboutsummaryrefslogtreecommitdiff
path: root/bin/executable_wd-mount
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/executable_wd-mount18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/executable_wd-mount b/bin/executable_wd-mount
new file mode 100755
index 0000000..49466c2
--- /dev/null
+++ b/bin/executable_wd-mount
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+case `uname` in
+ OpenBSD)
+ doas bioctl -c C -l fe3fd8d53b06049b.a softraid0
+ doas mount /media/wd
+ ;;
+ Linux)
+ if ! zpool list wd-pass > /dev/null 2>&1 ; then
+ sudo zpool import -l wd-pass
+ fi
+ ;;
+ *)
+ echo "Unknown host"
+ exit 1
+esac
+
+# vim: set sw=4: